EndpointsAreas
Get Area Scheduled Changes
Gets all scheduled future stage changes for an area. Includes pending, approved, cancelled, and applied changes.
Gets all scheduled future stage changes for an area. Includes pending, approved, cancelled, and applied changes.
Path Parameters
areaId*string
Format
uuidQuery Parameters
page?|
Match
^-?(?:0|[1-9]\d*)$Format
int32Default
1pageSize?|
Match
^-?(?:0|[1-9]\d*)$Format
int32Default
50status?string
isCancelled?boolean
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/areas/497f6eca-6276-4993-bfeb-53cbbbba6f08/scheduled-changes"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "targetStage": null, "effectiveFrom": "2019-08-24T14:15:22Z", "approval": { "status": "pendingApproval", "approvedAt": null }, "isApplied": true, "isCancelled": true, "cancellationReason": null, "isAutoDetected": true, "createdAt": "2019-08-24T14:15:22Z", "appliedAssignmentDeletedAt": null, "appliedAssignmentDeletionReason": null } ], "pageNumber": 0, "pageSize": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}